## lambda-align 1.0.1

=== src/CMakeLists.txt ===
# ===========================================================================
#                  SeqAn - The Library for Sequence Analysis
# ===========================================================================
# File: /sandbox/h4nn3s/apps/lambda/CMakeLists.txt
#
# CMakeLists.txt file for lambda.
# ===========================================================================

# ----------------------------------------------------------------------------
# App version
# ----------------------------------------------------------------------------

# change this after every release
set (SEQAN_APP_VERSION_MAJOR "1")
set (SEQAN_APP_VERSION_MINOR "0")
set (SEQAN_APP_VERSION_PATCH "1")

# don't change the following
set (SEQAN_APP_VERSION "${SEQAN_APP_VERSION_MAJOR}.${SEQAN_APP_VERSION_MINOR}.${SEQAN_APP_VERSION_PATCH}")

# ----------------------------------------------------------------------------
# Dependencies (continued)
# ----------------------------------------------------------------------------

# Search SeqAn and select dependencies.
find_package(OpenMP QUIET)
find_package(ZLIB   QUIET)
find_package(BZip2  QUIET)
find_package(SeqAn  QUIET REQUIRED)

message(STATUS "These dependencies where found:")
message(   "     OPENMP     ${OPENMP_FOUND}      ${OpenMP_CXX_FLAGS}")
message(   "     ZLIB       ${ZLIB_FOUND}      ${ZLIB_VERSION_STRING}")
message(   "     BZIP2      ${BZIP2_FOUND}      ${BZIP2_VERSION_STRING}")
message(   "     SEQAN      ${SEQAN_FOUND}      ${SEQAN_VERSION_STRING}")

# Warn if OpenMP was not found.
if (NOT OPENMP_FOUND)
    message (WARNING "WARNING WARNING WARNING\nWARNING: OpenMP not found. Lambda will be built without multi-threading! "
    "This is probably not what you want! Use GCC >= 4.9.1, Clang >= 3.8.0 or ICC >= 16.0.2\nWARNING WARNING WARNING")
endif (NOT OPENMP_FOUND)

# Warn if Zlib was not found.
if (NOT ZLIB_FOUND)
  message (WARNING "WARNING: Zlib not found. Building lambda without support for gzipped input and output (this includes support for .bam).")
endif (NOT ZLIB_FOUND)

# Warn if BZip2 was not found.
if (NOT BZIP2_FOUND)
  message (WARNING "WARNING: BZip2 not found. Building lambda without support for bzipped input and output.")
endif (NOT BZIP2_FOUND)

if (CMAKE_COMPILER_IS_GNUCXX)
    if (CMAKE_CXX_COMPILER_VERSION VERSION_LESS 4.9.1)
        message (FATAL_ERROR "Your GCC version is too old. Minimum version is GCC-4.9.1!")
        return ()
    endif ()
elseif (COMPILER_IS_CLANG)
    if (CMAKE_CXX_COMPILER_VERSION VERSION_LESS 3.6)
        message (FATAL_ERROR "Your Clang version is too old. Please upgrade to 3.8.0 or use GCC.")
        return()
    elseif (CMAKE_CXX_COMPILER_VERSION VERSION_LESS 3.8)
        message (WARNING "Your Clang version is too old, you will not have parallelism! Upgrade to 3.8.0 or newer.")
    endif ()
elseif (COMPILER_IS_INTEL)
    if (CMAKE_CXX_COMPILER_VERSION VERSION_LESS 16.0.2)
        message(WARNING "Your Intel Compiler version is too old. Please upgrade to 16.0.2 or newer!")
    endif ()
endif ()

if (SEQAN_VERSION_STRING VERSION_LESS "2.2.0")
    message (FATAL_ERROR "The minimum SeqAn verison required is 2.2.0!")
    return ()
endif ()

message(STATUS "The requirements where met.")

# ----------------------------------------------------------------------------
# App-Level Configuration
# ----------------------------------------------------------------------------

message ("\n${ColourBold}Build configuration${ColourReset}")

message (STATUS "LAMBDA version is: ${SEQAN_APP_VERSION}")

option (LAMBDA_FASTBUILD    "Build only blastp and blastx modes (speeds up build)."                             OFF)
option (LAMBDA_NATIVE_BUILD "Architecture-specific optimizations, i.e. g++ -march=native."                      ON)
option (LAMBDA_STATIC_BUILD "Include all libraries in the binaries."                                            OFF)
option (LAMBDA_MMAPPED_DB   "Use mmapped access to the database."                                               ON)
option (LAMBDA_LINGAPS_OPT  "Add optimized codepaths for linear gap costs (inc. bin size and compile time)."    OFF)

if (LAMBDA_FASTBUILD)
    add_definitions (-DFASTBUILD=1)
endif (LAMBDA_FASTBUILD)

if (LAMBDA_NATIVE_BUILD)
    add_definitions (-DLAMBDA_NATIVE_BUILD=1)
    set (SEQAN_CXX_FLAGS "${SEQAN_CXX_FLAGS} -march=native")
    if (COMPILER_IS_INTEL)
        set (SEQAN_CXX_FLAGS "${SEQAN_CXX_FLAGS} -xHOST -ipo -no-prec-div -fp-model fast=2")
    endif (COMPILER_IS_INTEL)
endif (LAMBDA_NATIVE_BUILD)

if (LAMBDA_STATIC_BUILD)
    add_definitions (-DLAMBDA_STATIC_BUILD=1)
    set(CMAKE_FIND_LIBRARY_SUFFIXES ".a")
    # apple does not support fully static builds, but at least libgcc and libstdc++
    if (APPLE)
        set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -static-libgcc -static-libstdc++")
        message (WARNING "WARNING: Builds on Mac are never fully static.")
    else (APPLE)
        set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -static")
    endif (APPLE)
    # on linux cmake adds -rdynamic automatically which clang can't handle in static builds
    if (CMAKE_SYSTEM_NAME MATCHES "Linux")
        SET(CMAKE_SHARED_LIBRARY_LINK_CXX_FLAGS "")
    endif (CMAKE_SYSTEM_NAME MATCHES "Linux")
endif (LAMBDA_STATIC_BUILD)

if (LAMBDA_MMAPPED_DB)
    add_definitions (-DLAMBDA_MMAPPED_DB=1)
endif (LAMBDA_MMAPPED_DB)

if (LAMBDA_LINGAPS_OPT)
    add_definitions (-DLAMBDA_LINGAPS_OPT=1)
endif ()

message(STATUS "The following options are selected for the build:")
message(   "     LAMBDA_FASTBUILD         ${LAMBDA_FASTBUILD}")
message(   "     LAMBDA_LINGAPS_OPT       ${LAMBDA_LINGAPS_OPT}")
message(   "     LAMBDA_MMAPPED_DB        ${LAMBDA_MMAPPED_DB}")
message(   "     LAMBDA_NATIVE_BUILD      ${LAMBDA_NATIVE_BUILD}")
message(   "     LAMBDA_STATIC_BUILD      ${LAMBDA_STATIC_BUILD}")
message(STATUS "Run 'cmake -LH' to get a comment on each option.")
message(STATUS "Remove CMakeCache.txt and re-run cmake with -DOPTIONNAME=ON|OFF to change an option.")

# deactivate the version check until all issues are resolved
add_definitions (-DSEQAN_DISABLE_VERSION_CHECK="YES")

# ----------------------------------------------------------------------------
# Compiler specifics
# ----------------------------------------------------------------------------

if (COMPILER_IS_CLANG)
    set (SEQAN_CXX_FLAGS "${SEQAN_CXX_FLAGS} -ftemplate-depth-1024")

    # do not warn for variable length arrays
    set (SEQAN_CXX_FLAGS "${SEQAN_CXX_FLAGS} -Wno-vla-extension")
endif (COMPILER_IS_CLANG)

if(CMAKE_COMPILER_IS_GNUCXX)
    # do not warn for variable length arrays
    set (SEQAN_CXX_FLAGS "${SEQAN_CXX_FLAGS} -Wno-vla")

    # parallelize parts of build even for one translation unit
    include(ProcessorCount)
    ProcessorCount(NCPU)
    if(NCPU GREATER 1)
        set (SEQAN_CXX_FLAGS "${SEQAN_CXX_FLAGS} -flto=${NCPU}")
    endif()
endif(CMAKE_COMPILER_IS_GNUCXX)

if (NOT COMPILER_IS_INTEL)
    # strip binaries to make them smaller
    set (CMAKE_CXX_FLAGS_RELEASE "${CMAKE_CXX_FLAGS_RELEASE} -s")
endif ()

# ----------------------------------------------------------------------------
# Build Setup
# ----------------------------------------------------------------------------

# Enable global exception handler for all seqan apps.
set (SEQAN_DEFINITIONS "${SEQAN_DEFINITIONS} -DSEQAN_GLOBAL_EXCEPTION_HANDLER")

# Add include directories.
include_directories (${SEQAN_INCLUDE_DIRS})

# Add definitions set by find_package (SeqAn).
add_definitions (${SEQAN_DEFINITIONS})

# Add definitions set by the build system.
add_definitions (-DSEQAN_VERSION_STRING="${SEQAN_VERSION_STRING}")
add_definitions (-DSEQAN_REVISION="${SEQAN_REVISION}")
add_definitions (-DSEQAN_DATE="${SEQAN_DATE}")
add_definitions (-DSEQAN_APP_VERSION="${SEQAN_APP_VERSION}")
add_definitions (-DCMAKE_BUILD_TYPE="${CMAKE_BUILD_TYPE}")

# Set the right output directory
set (CMAKE_RUNTIME_OUTPUT_DIRECTORY ${PROJECT_BINARY_DIR}/bin)

# Update the list of file names below if you add source files to your application.
add_executable (lambda lambda.cpp
                lambda.hpp
                misc.hpp
                match.hpp
                options.hpp
                holders.hpp
                output.hpp)

add_executable (lambda_indexer lambda_indexer.cpp
                lambda_indexer.hpp
                options.hpp
                lambda_indexer_misc.hpp
                radix_inplace.h)

# Add dependencies found by find_package (SeqAn).
target_link_libraries (lambda ${SEQAN_LIBRARIES})
target_link_libraries (lambda_indexer ${SEQAN_LIBRARIES})

# Add CXX flags found by find_package (SeqAn).
set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${SEQAN_CXX_FLAGS}")

set(BUILD_SHARED_LIBS OFF)

# ----------------------------------------------------------------------------
# Installation
# ----------------------------------------------------------------------------

# Install lambda in ${PREFIX}/bin directory
install (TARGETS lambda lambda_indexer
         DESTINATION bin)

# Install non-binary files for the package to share/lambda
install (FILES ../LICENSE.rst
               ../LICENSE-BSD.rst
               ../LICENSE-GPL3.rst
               ../README.rst
         DESTINATION "share/doc/lambda")

# ----------------------------------------------------------------------------
# CPack Install
# ----------------------------------------------------------------------------

# Information
set (CPACK_PACKAGE_NAME "lambda")
set (CPACK_PACKAGE_DESCRIPTION_SUMMARY "lambda -- the local aligner for massive bioligical data")
set (CPACK_PACKAGE_DESCRIPTION_FILE "${CMAKE_CURRENT_SOURCE_DIR}/../README.rst")
set (CPACK_RESOURCE_FILE_LICENSE "${CMAKE_CURRENT_SOURCE_DIR}/../LICENSE.rst")
set (CPACK_PACKAGE_VENDOR "Hannes Hauswedell <hannes.hauswedell@fu-berlin.de>")
set (CPACK_PACKAGE_CONTACT "${CPACK_PACKAGE_VENDOR}")
set (CPACK_PACKAGE_VERSION_MAJOR "${SEQAN_APP_VERSION_MAJOR}")
set (CPACK_PACKAGE_VERSION_MINOR "${SEQAN_APP_VERSION_MINOR}")
set (CPACK_PACKAGE_VERSION_PATCH "${SEQAN_APP_VERSION_PATCH}")
set (CPACK_PACKAGE_VERSION "${SEQAN_APP_VERSION}")
set (CPACK_PACKAGE_INSTALL_DIRECTORY "${CPACK_PACKAGE_NAME} ${CPACK_PACKAGE_VERSION}")

# Package format(s)
if (CMAKE_SYSTEM_NAME MATCHES "Windows")
    set(CPACK_GENERATOR "ZIP;NSIS")
elseif (CMAKE_SYSTEM_NAME MATCHES "Darwin")
    set(CPACK_GENERATOR "ZIP;DragNDrop")
elseif (CMAKE_VERSION VERSION_LESS "3.1") # TXZ support since 3.1
    set(CPACK_GENERATOR "TBZ2")
else()
    set(CPACK_GENERATOR "TXZ")
endif ()

if (CMAKE_SYSTEM_NAME MATCHES "Linux")
    set(CPACK_GENERATOR "${CPACK_GENERATOR};DEB;RPM")
endif ()

# Package architecture
if (CMAKE_SYSTEM_PROCESSOR STREQUAL "amd64")
    set(CMAKE_SYSTEM_PROCESSOR "x86_64")
    set(CPACK_DEBIAN_PACKAGE_ARCHITECTURE "amd64")
endif ()
if (CMAKE_CXX_FLAGS MATCHES "avx2")
    set (CMAKE_SYSTEM_PROCESSOR "${CMAKE_SYSTEM_PROCESSOR}_avx2")
elseif (CMAKE_CXX_FLAGS MATCHES "sse4")
    set (CMAKE_SYSTEM_PROCESSOR "${CMAKE_SYSTEM_PROCESSOR}_sse4")
endif()

# Include architecture in package name
if (NOT DEFINED CPACK_SYSTEM_NAME)
  set(CPACK_SYSTEM_NAME "${CMAKE_SYSTEM_NAME}-${CMAKE_SYSTEM_PROCESSOR}")
endif (NOT DEFINED CPACK_SYSTEM_NAME)

include (CPack)

## lambda-align 1.0.0

=== debian/changelog ===
lambda-align (1.0.0-3) unstable; urgency=medium

  * Fix FTBFS on 32-bit platforms.
    Thanks to Hannes Hauswedell for patch review and polishing.
    Closes: #840027

 -- Sascha Steinbiss <satta@debian.org>  Mon, 10 Oct 2016 14:05:57 +0000

lambda-align (1.0.0-2) unstable; urgency=medium

  * Set versioned dependency for libseqan2-dev.
    Thanks to Aaron M. Ucko for the hint.
    Closes: #840028
  * Make build reproducible.
    Thanks to Chris Lamb for the patch.
    Closes: #840156
  * Force linking of librt and libpthread as a workaround until
    #840030 gets fixed in libseqan2-dev.
    This fixes builds on kFreeBSD, thanks to Aaron M. Ucko.

 -- Sascha Steinbiss <satta@debian.org>  Sun, 09 Oct 2016 15:06:33 +0000

lambda-align (1.0.0-1) unstable; urgency=medium

  * Initial release (Closes: #834940)

 -- Sascha Steinbiss <satta@debian.org>  Sat, 24 Sep 2016 21:56:47 +0000

=== debian/control ===
Source: lambda-align
Section: science
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Sascha Steinbiss <satta@debian.org>
Build-Depends: debhelper (>= 9),
               libseqan2-dev (>= 2.2.0+dfsg-2~),
               cmake,
               zlib1g-dev,
               libbz2-dev
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/lambda-align.git
Vcs-Git: https://anonscm.debian.org/git/debian-med/lambda-align.git
Homepage: https://seqan.github.io/lambda

Package: lambda-align
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Local Aligner for Massive Biological DatA
 Lambda is a local biosequence aligner optimized for many query sequences
 and searches in protein space. It is compatible to the de facto standard tool
 BLAST, but often outperforms the best currently available alternatives at
 reproducing BLAST’s results and is the fastest compared with the current
 state of the art at comparable levels of sensitivity.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --builddirectory=build

override_dh_auto_clean:
	rm -f *.1
	dh_auto_clean --

override_dh_installman:
	./build/bin/lambda --export-help man \
	  | sed -r 's/(number of threads.*) Default:.*/\1/g' \
	  | sed -r 's/\(Git commit +\)//g' > lambda.1
	./build/bin/lambda_indexer --export-help man \
	  | sed -r 's/(number of threads.*) Default:.*/\1/g' \
	  | sed -r 's/(defaults to working directory.*) Default:.*/\1/g' \
	  | sed -r 's/\(Git commit +\)//g' > lambda_indexer.1
	dh_installman --

override_dh_auto_configure:
	dh_auto_configure -- -DLAMBDA_NATIVE_BUILD=OFF -DLAMBDA_MMAPPED_DB=ON

=== debian/watch ===
version=4
opts=repack,compression=xz \
https://github.com/seqan/lambda/tags .*/lambda-v?(\d.*)\.tar.gz

## lambda-align 1.0.1

=== debian/changelog ===
lambda-align (1.0.1-2) unstable; urgency=medium

  * Set SeqAn_DIR to make sure SeqAn modules are found.
    This fixes FTBFS against libseqan2-dev 2.3.1.
  * Delete obsolete patch files.

 -- Sascha Steinbiss <satta@debian.org>  Sat, 21 Jan 2017 13:32:49 +0000

lambda-align (1.0.1-1) unstable; urgency=medium

  * New upstream release.
  * Drop patches applied by upstream.
  * Set CMAKE_BUILD_TYPE=Release.

 -- Sascha Steinbiss <satta@debian.org>  Tue, 10 Jan 2017 16:04:18 +0100

lambda-align (1.0.0-4) unstable; urgency=medium

  * Team upload.
  * d/watch: 
     - no recompression since no change in upstream tarball is needed
     - exclude 1.9 pre-releases
       Closes: #848543
  * debhelper 10
  * Remove extra license files in d/rules rather than in a patch

 -- Andreas Tille <tille@debian.org>  Sun, 18 Dec 2016 09:21:15 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Sascha Steinbiss <satta@debian.org>
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                libseqan2-dev (>= 2.2.0+dfsg-2~),
                cmake,
                zlib1g-dev,

=== debian/rules ===
--- 
+++ 
@@ -8,6 +8,10 @@
 override_dh_auto_clean:
 	rm -f *.1
 	dh_auto_clean --
+
+override_dh_install:
+	dh_install
+	find debian -name "LICENSE*.rst" -delete
 
 override_dh_installman:
 	./build/bin/lambda --export-help man \
@@ -20,4 +24,4 @@
 	dh_installman --
 
 override_dh_auto_configure:
-	dh_auto_configure -- -DLAMBDA_NATIVE_BUILD=OFF -DLAMBDA_MMAPPED_DB=ON
+	dh_auto_configure -- -DLAMBDA_NATIVE_BUILD=OFF -DLAMBDA_MMAPPED_DB=ON -DCMAKE_BUILD_TYPE=Release

=== debian/watch ===
version=4
https://github.com/seqan/lambda/tags .*/lambda-v?(\d+\.[0-8][.\d]*)\.tar.gz

## lambda-align 1.0.2

=== debian/changelog ===
lambda-align (1.0.2-1) unstable; urgency=medium

  [ Andreas Tille ]
  * Add missing citation.

  [ Sascha Steinbiss ]
  * New upstream release.
  * Bump Standards-Version.
  * Add Lintian override for spelling false positive.

 -- Sascha Steinbiss <satta@debian.org>  Fri, 30 Jun 2017 07:54:03 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                cmake,
                zlib1g-dev,
                libbz2-dev
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/lambda-align.git
 Vcs-Git: https://anonscm.debian.org/git/debian-med/lambda-align.git
 Homepage: https://seqan.github.io/lambda

## lambda-align 1.0.3

=== CMakeLists.txt ===
# ===========================================================================
#                  Lambda
# ===========================================================================

cmake_minimum_required (VERSION 3.0.0)
string(ASCII 27 Esc)
set(ColourBold  "${Esc}[1m")
set(ColourReset "${Esc}[m")
set(ColourRed   "${Esc}[31m")

message ("${ColourBold}Compiler Detection${ColourReset}")

project (lambda CXX)

# ----------------------------------------------------------------------------
# Make "Release" the default cmake build type
# ----------------------------------------------------------------------------

if (NOT CMAKE_BUILD_TYPE)
    set (CMAKE_BUILD_TYPE Release CACHE STRING
         "Choose the type of build, options are: Debug Release RelWithDebInfo"
         FORCE)
endif ()

# ----------------------------------------------------------------------------
# Begin of dependency detection
# ----------------------------------------------------------------------------

message ("\n${ColourBold}Dependency detection${ColourReset}")

if (EXISTS "${CMAKE_CURRENT_SOURCE_DIR}/include/seqan/include/seqan/version.h")
    set (CMAKE_INCLUDE_PATH
        ${CMAKE_CURRENT_SOURCE_DIR}/include/seqan/include
        ${CMAKE_INCLUDE_PATH})
    set (CMAKE_MODULE_PATH
        ${CMAKE_CURRENT_SOURCE_DIR}/include/seqan/util/cmake
        ${CMAKE_MODULE_PATH})
    message (STATUS "Found a local SeqAn library provided with the Lambda source code.")
    message (    "   This will be preferred over system global headers.")
endif ()

# ----------------------------------------------------------------------------
# Add Lambda targets
# ----------------------------------------------------------------------------

add_subdirectory(src)

# ----------------------------------------------------------------------------
# Warn if cmake build type is not "Release"
# ----------------------------------------------------------------------------

if (NOT CMAKE_BUILD_TYPE STREQUAL Release)
    message (STATUS "${ColourRed}CMAKE_BUILD_TYPE is not \"Release\", your binaries will be slow.${ColourReset}")
endif ()

# ----------------------------------------------------------------------------
# Add Tests
# ----------------------------------------------------------------------------

message ("\n${ColourBold}Setting up unit tests${ColourReset}")
add_subdirectory(tests)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -13,7 +13,7 @@
 # change this after every release
 set (SEQAN_APP_VERSION_MAJOR "1")
 set (SEQAN_APP_VERSION_MINOR "0")
-set (SEQAN_APP_VERSION_PATCH "1")
+set (SEQAN_APP_VERSION_PATCH "2")
 
 # don't change the following
 set (SEQAN_APP_VERSION "${SEQAN_APP_VERSION_MAJOR}.${SEQAN_APP_VERSION_MINOR}.${SEQAN_APP_VERSION_PATCH}")
@@ -134,8 +134,10 @@
 message(STATUS "Run 'cmake -LH' to get a comment on each option.")
 message(STATUS "Remove CMakeCache.txt and re-run cmake with -DOPTIONNAME=ON|OFF to change an option.")
 
-# deactivate the version check until all issues are resolved
-add_definitions (-DSEQAN_DISABLE_VERSION_CHECK="YES")
+# deactivate the version check on broken seqan releases
+if (SEQAN_VERSION_STRING VERSION_LESS "2.3.2")
+    add_definitions (-DSEQAN_DISABLE_VERSION_CHECK="YES")
+endif ()
 
 # ----------------------------------------------------------------------------
 # Compiler specifics

=== tests/CMakeLists.txt ===
# ===========================================================================
#  Lambda tests
# ===========================================================================

cmake_minimum_required (VERSION 3.0.0)

enable_testing ()
include (CTest)

## only subset of tests
if (LAMBDA_FASTBUILD)
    set (PROGS blastp blastx)
else ()
    set (PROGS blastn blastp blastx tblastn tblastx)
endif ()

## basic indexer tests
foreach(PROG ${PROGS})
    foreach(DI sa fm)
        add_test (NAME test_mkindex_${PROG}_${DI}
                  COMMAND ${CMAKE_CURRENT_SOURCE_DIR}/maintests.sh
                          "${CMAKE_SOURCE_DIR}" "${CMAKE_BINARY_DIR}" ${PROG} ${DI} "MKINDEX" " ")
    endforeach()
endforeach()

## basic search tests
foreach(PROG ${PROGS})
    foreach(DI sa fm)
        foreach(FF m0 m8 m9 sam bam m9.gz sam.bz2)
            add_test (NAME test_search_${PROG}_${DI}_${FF}
                      COMMAND ${CMAKE_CURRENT_SOURCE_DIR}/maintests.sh
                             "${CMAKE_SOURCE_DIR}" "${CMAKE_BINARY_DIR}" ${PROG} ${DI} "SEARCH" ${FF})
        endforeach()
    endforeach()
endforeach()

=== debian/changelog ===
lambda-align (1.0.3-8) unstable; urgency=medium

  * Team upload.

  [ Michael R. Crusoe ]
  * removing myself as an uploader

  [ Enrico Seiler ]
  * salsa ci: added
  * d/rules: respect DEB_BUILD_OPTIONS for parallel test running.

  [ Andreas Tille ]
  * Fix build using CMake 4
    Closes: #1113092
  * d/watch: version=5
  * Standards-Version: 4.7.2 (routine-update)
  * debhelper-compat 13 (routine-update)
  * debputy lint --auto-fix (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 21 Oct 2025 09:39:59 +0200

lambda-align (1.0.3-7) experimental; urgency=medium

  * Team upload.
  * d/control: Experimental rebuild using the 3rd release candidate of
    SeqAn 2.5.0
  * Added patch for the explicit seqan2 namespace.
  * salsa ci: added
  * Remove dependency on libseqan-dev for tests
  * d/rules: respect DEB_BUILD_OPTIONS for parallel test running.

 -- Enrico Seiler <enrico.seiler.debian@outlook.com>  Wed, 27 Nov 2024 01:36:30 +0100

lambda-align (1.0.3-6) unstable; urgency=medium

  * Reset CMAKE_BUILD_TYPE to "Release" for reproducibility.

 -- Sascha Steinbiss <satta@debian.org>  Sat, 08 Feb 2020 16:22:53 +0100

lambda-align (1.0.3-5) unstable; urgency=medium

  * Team upload.
  * Watch file reports only version 1
  * Document choice of version 1 in README.Debian
  * debhelper 12
  * CMAKE_BUILD_TYPE=RelWithDebInfo to get debug info

 -- Andreas Tille <tille@debian.org>  Tue, 22 Jan 2019 11:12:44 +0100

lambda-align (1.0.3-4) unstable; urgency=medium

  * Team upload.
  * debhelper 11
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.3.0
  * Respect DEB_BUILD_OPTIONS in override_dh_auto_test target
  * Remove trailing whitespace in debian/changelog

 -- Andreas Tille <tille@debian.org>  Mon, 07 Jan 2019 22:42:59 +0100

lambda-align (1.0.3-3) unstable; urgency=medium

  * Only run tests on certain archs. (Closes: #890851)

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Wed, 21 Feb 2018 01:59:38 -0800

lambda-align (1.0.3-2) unstable; urgency=medium

  * Fix AutoPkgTests, tested locally with debci

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Sun, 18 Feb 2018 02:00:59 -0800

lambda-align (1.0.3-1) unstable; urgency=medium

  [ Steffen Moeller ]
  * Added ref to OMICtools registry.

  [ Michael R. Crusoe ]
  * New upstream release fixes Seqan 2.4.0 compat
  * Include CWL descriptions
  * Run the unit tests and make them available as AutoPkgTests

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Sat, 17 Feb 2018 12:19:04 -0800

=== debian/control ===
Source: lambda-align
Standards-Version: 4.7.2
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders:
 Sascha Steinbiss <satta@debian.org>,
Section: science
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 libseqan2-dev,
 cmake,
 zlib1g-dev,
 libbz2-dev,
 openssl,
Vcs-Browser: https://salsa.debian.org/med-team/lambda-align
Vcs-Git: https://salsa.debian.org/med-team/lambda-align.git
Homepage: https://seqan.github.io/lambda

Package: lambda-align
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Suggests:
 cwl-runner,
Description: Local Aligner for Massive Biological DatA
 Lambda is a local biosequence aligner optimized for many query sequences
 and searches in protein space. It is compatible to the de facto standard tool
 BLAST, but often outperforms the best currently available alternatives at
 reproducing BLAST’s results and is the fastest compared with the current
 state of the art at comparable levels of sensitivity.

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,8 @@
 #!/usr/bin/make -f
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+include /usr/share/dpkg/pkg-info.mk
+include /usr/share/dpkg/buildopts.mk
 
 %:
 	dh $@ --builddirectory=build
@@ -24,4 +26,11 @@
 	dh_installman --
 
 override_dh_auto_configure:
-	dh_auto_configure -- -DLAMBDA_NATIVE_BUILD=OFF -DLAMBDA_MMAPPED_DB=ON -DCMAKE_BUILD_TYPE=Release
+	dh_auto_configure -- -DLAMBDA_NATIVE_BUILD=OFF -DLAMBDA_MMAPPED_DB=ON -DCMAKE_BUILD_TYPE=Release -DCMAKE_POLICY_VERSION_MINIMUM=3.5
+
+override_dh_auto_test:
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+ifneq (,$(filter amd64 arm64 mips64el ppc64el,$(DEB_BUILD_ARCH)))
+	cd build/tests && ctest $(DEB_BUILD_OPTION_PARALLEL)
+endif
+endif

=== debian/tests/control ===
Tests: run-tests
Depends: @, cmake, openssl, gzip, coreutils, diffutils
Restrictions: allow-stderr

=== debian/watch ===
Version: 5

Source: https://github.com/seqan/lambda
Matching-Pattern: refs/tags/lambda-v(1\.0[.\d]+)
Git-Mode: full
Mode: git
